import request from '@/utils/request'

//获取学生自己的宿舍以及费用记录
export function getOwnLog() {
	return request({
		'url': '/dormitory/srs-dormitory-student/getOwnLog',
		'method': 'get'
	})
}


export function stuChange(data) {
	return request({
		'url': '/dormitory/application/stuChange',
		'method': 'post',
		'data': data
	})
}


export function addApplication(data) {
	return request({
		url: '/dormitory/application/add',
		method: 'post',
		data: data
	})
}

export function listOwnApply(params) {
	return request({
		url: '/dormitory/application/listOwnApply',
		method: 'get',
		params
	})
}


export function getStatus() {
	return request({
		'url': '/system/dict/data/type/dms_approval_status',
		'method': 'get'
	})
}


export function listOwnTask() {
	return request({
		'url': '/dormitory/task/listOwnTask',
		'method': 'get'
	})
}

export function getTaskStatus() {
	return request({
		'url': '/system/dict/data/type/dms_task_status',
		'method': 'get'
	})
}